//
//  MainViewController.h
//  LocationApp_Sample
//
//  Copyright (c) 2012 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import <UIKit/UIKit.h>
#import <libLocationManagerProbe/LocationManager.h>


@interface MainViewController : UIViewController <LocationManagerDelegate>

@property (weak, nonatomic) IBOutlet UIButton *startButton;
@property (weak, nonatomic) IBOutlet UIButton *stopButton;
@property (weak, nonatomic) IBOutlet UIButton *logDeleteButton;
@property (weak, nonatomic) IBOutlet UIButton *currentLocationButton;
@property (weak, nonatomic) IBOutlet UIButton *currentSettingsButton;
@property (weak, nonatomic) IBOutlet UIButton *libraryVersionButton;
@property (weak, nonatomic) IBOutlet UIBarButtonItem *menuButton;

@property (weak, nonatomic) IBOutlet UITextView *logTextView;

/* 測位開始ボタン押下 */
- (IBAction)startDown:(id)sender;
/* 測位停止ボタン押下 */
- (IBAction)stopDown:(id)sender;
/* ログ消去ボタン押下 */
- (IBAction)logDeleteDown:(id)sender;
/* 現在地取得ボタン押下 */
- (IBAction)currentLocationDown:(id)sender;
/* 設定取得ボタン押下 */
- (IBAction)currentSettingsDown:(id)sender;
/* バージョン取得ボタン押下 */
- (IBAction)libraryVersionDown:(id)sender;
/* メニューボタン押下 */
- (IBAction)menuDown:(id)sender;

/* デバッグ用ログを追加 */
- (void)setDebugLogText:(NSString *)logString;
@end
